This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014497 - [abrt] remmina-1.0.0-7.fc19: magazine_chain_pop_head: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-1.0.0-7.fc19: magazine_chain_pop_head: Process /usr/bin/remmin...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:197a7beb482942bf27a010a8c00...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 04:48 EDT by Paul DeStefano
Modified: 2014-08-18 03:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 03:29:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.14 KB, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details
File: core_backtrace (5.58 KB, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details
File: dso_list (2.28 KB, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details
File: environ (1.56 KB, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details
File: maps (60.19 KB, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details
File: open_fds (551 bytes, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details
File: var_log_messages (430 bytes, text/plain)
2013-10-02 04:49 EDT, Paul DeStefano
no flags Details

  None (edit)
Description Paul DeStefano 2013-10-02 04:48:58 EDT
Description of problem:
Not sure, exactly.  I was connected to remote session and working with terminal & tmux.  I remember mistyping a key combination for tmux that resulted in no more key strokes going to the remote session any longer.  Whatever I typed, it just wouldn't get sent.  I could still operate the mouse pointer as usual, but no keyboard.  As I was trying to kill the remote VNC session, this happend.

Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        remmina -i
crash_function: magazine_chain_pop_head
executable:     /usr/bin/remmina
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:532
 #1 thread_memory_magazine1_alloc at gslice.c:835
 #2 g_slice_alloc at gslice.c:994
 #3 g_slice_alloc0 at gslice.c:1029
 #4 g_source_new at gmain.c:851
 #5 g_idle_source_new at gmain.c:5226
 #6 g_idle_add_full at gmain.c:5262
 #7 gdk_threads_add_idle_full at gdk.c:877
 #8 gdk_threads_add_idle at gdk.c:901
 #9 remmina_plugin_vnc_queue_draw_area at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/vnc/vnc_plugin.c:646

Potential duplicate: bug 705439
Comment 1 Paul DeStefano 2013-10-02 04:49:04 EDT
Created attachment 806306 [details]
File: backtrace
Comment 2 Paul DeStefano 2013-10-02 04:49:07 EDT
Created attachment 806307 [details]
File: cgroup
Comment 3 Paul DeStefano 2013-10-02 04:49:09 EDT
Created attachment 806308 [details]
File: core_backtrace
Comment 4 Paul DeStefano 2013-10-02 04:49:12 EDT
Created attachment 806309 [details]
File: dso_list
Comment 5 Paul DeStefano 2013-10-02 04:49:15 EDT
Created attachment 806311 [details]
File: environ
Comment 6 Paul DeStefano 2013-10-02 04:49:18 EDT
Created attachment 806312 [details]
File: exploitable
Comment 7 Paul DeStefano 2013-10-02 04:49:20 EDT
Created attachment 806313 [details]
File: limits
Comment 8 Paul DeStefano 2013-10-02 04:49:23 EDT
Created attachment 806314 [details]
File: maps
Comment 9 Paul DeStefano 2013-10-02 04:49:26 EDT
Created attachment 806315 [details]
File: open_fds
Comment 10 Paul DeStefano 2013-10-02 04:49:29 EDT
Created attachment 806316 [details]
File: proc_pid_status
Comment 11 Paul DeStefano 2013-10-02 04:49:32 EDT
Created attachment 806317 [details]
File: var_log_messages
Comment 12 Christoph Wickert 2014-05-22 07:35:05 EDT
Assigning bug to new package maintainer.
Comment 13 Pavel Alexeev 2014-08-18 03:29:42 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.